additionalProperties:
  formFields:
    - type: "number"
      labelZh: "HTTP 端口"
      labelEn: "HTTP Port"
      label:
        zh: "HTTP 端口"
        zh-hant: "HTTP 埠"
        en: "HTTP Port"
        ja: "HTTPポート"
        ms: "Port HTTP"
        pt-br: "Porta HTTP"
        ru: "Порт HTTP"
        ko: "HTTP 포트"
        tr: "HTTP bağlantı noktası"
      description:
        zh: "设置应用的 HTTP 访问端口，有效范围：1-65535"
        zh-hant: "設定應用程式的 HTTP 存取埠，有效範圍：1-65535"
        en: "Set the HTTP access port for the application, valid range: 1-65535"
        ja: "アプリケーションのHTTPアクセスポートを設定します。有効範囲：1-65535"
        ms: "Tetapkan port akses HTTP untuk aplikasi, julat sah: 1-65535"
        pt-br: "Defina a porta de acesso HTTP para o aplicativo, intervalo válido: 1-65535"
        ru: "Установите порт HTTP-доступа для приложения, допустимый диапазон: 1-65535"
        ko: "애플리케이션의 HTTP 접근 포트를 설정합니다. 유효 범위: 1-65535"
        tr: "Uygulama için HTTP erişim bağlantı noktasını ayarlayın, geçerli aralık: 1-65535"
      required: true
      envKey: "PANEL_APP_PORT_HTTP"
      default: 7860
      edit: true
      rule: "paramPort"
    - type: "service"
      key: "postgresql"
      labelZh: "数据库服务"
      labelEn: "Database Service"
      label:
        zh: "数据库服务"
        zh-hant: "資料庫服務"
        en: "Database Service"
        ja: "データベースサービス"
        ms: "Perkhidmatan Pangkalan Data"
        pt-br: "Serviço de Banco de Dados"
        ru: "Сервис баз данных"
        ko: "데이터베이스 서비스"
        tr: "Veritabanı Hizmetleri"
      description:
        zh: "选择应用依赖的数据库类型及对应服务实例（需提前在 1Panel 中部署数据库服务）"
        zh-hant: "選擇應用程式依賴的資料庫類型及對應服務實例（需提前在 1Panel 中部署資料庫服務）"
        en: "Select the database type and corresponding service instance that the application depends on (deploy the database service in 1Panel in advance)"
        ja: "アプリケーションが依存するデータベースの種類と対応するサービスインスタンスを選択します（事前に1Panelでデータベースサービスをデプロイする必要があります）"
        ms: "Pilih jenis pangkalan data dan contoh perkhidmatan yang bergantung kepada aplikasi (perlu menyebarkan perkhidmatan pangkalan data dalam 1Panel terlebih dahulu)"
        pt-br: "Selecione o tipo de banco de dados e a instância de serviço correspondente da qual o aplicativo depende (implante o serviço de banco de dados no 1Panel com antecedência)"
        ru: "Выберите тип базы данных и соответствующий экземпляр службы, от которых зависит приложение (расположите службу базы данных в 1Panel заранее)"
        ko: "애플리케이션이 의존하는 데이터베이스 유형 및 해당 서비스 인스턴스를 선택합니다 (1Panel에서 미리 데이터베이스 서비스를 배포해야 함)"
        tr: "Uygulamanın bağımlı olduğu veritabanı türünü ve ilgili hizmet örneğini seçin (önceden 1Panel'de veritabanı hizmetini dağıtmanız gerekiyor)"
      required: true
      envKey: "PANEL_DB_HOST"
      default: ""
      edit: false
    - type: "text"
      labelZh: "数据库名称"
      labelEn: "Database Name"
      label:
        zh: "数据库名称"
        zh-hant: "資料庫名稱"
        en: "Database Name"
        ja: "データベース名"
        ms: "Nama Pangkalan Data"
        pt-br: "Nome do Banco de Dados"
        ru: "Имя базы данных"
        ko: "데이터베이스 이름"
        tr: "Veritabanı Adı"
      description:
        zh: "应用所需的数据库名称，将自动创建（遵循英文/数字/.-_ 命名规则）"
        zh-hant: "應用程式所需的資料庫名稱，將自動建立（遵循英文/數字/.-_ 命名規則）"
        en: "The database name required by the application, which will be created automatically (follow the naming rule: English/numbers/.-_)"
        ja: "アプリケーションに必要なデータベース名で、自動的に作成されます（命名規則：英語/数字/.-_ に準拠）"
        ms: "Nama pangkalan data yang diperlukan oleh aplikasi, akan dibuat secara automatik (ikut peraturan penamaan: Bahasa Inggeris/nombor/.-_)"
        pt-br: "O nome do banco de dados necessário para o aplicativo, que será criado automaticamente (siga a regra de nomenclatura: Inglês/números/.-_)"
        ru: "Имя базы данных, необходимое для приложения, будет создано автоматически (соблюдайте правило именования: английский/цифры/.-_)"
        ko: "애플리케이션에 필요한 데이터베이스 이름으로, 자동으로 생성됩니다 (영문/숫자/.-_ 명명 규칙 준수)"
        tr: "Uygulama için gerekli veritabanı adı, otomatik olarak oluşturulur (İngilizce/sayılar/.-_ adlandırma kuralını izleyin)"
      required: true
      envKey: "PANEL_DB_NAME"
      default: "langflow"
      edit: false
      random: true
      rule: "paramCommon"
    - type: "text"
      labelZh: "数据库用户"
      labelEn: "Database User"
      label:
        zh: "数据库用户"
        zh-hant: "資料庫用戶"
        en: "Database User"
        ja: "データベースユーザー"
        ms: "Pengguna Pangkalan Data"
        pt-br: "Usuário do Banco de Dados"
        ru: "Пользователь базы данных"
        ko: "데이터베이스 사용자"
        tr: "Veritabanı Kullanıcısı"
      description:
        zh: "应用访问数据库的专用用户，将自动创建（权限绑定对应数据库）"
        zh-hant: "應用程式存取資料庫的專用使用者，將自動建立（權限繫結對應資料庫）"
        en: "Dedicated user for the application to access the database, which will be created automatically (permissions bound to the corresponding database)"
        ja: "アプリケーションがデータベースにアクセスするための専用ユーザーで、自動的に作成されます（対応するデータベースにアクセス権が設定されます）"
        ms: "Pengguna khusus untuk aplikasi mengakses pangkalan data, akan dibuat secara automatik (izin terikat pada pangkalan data yang sepadan)"
        pt-br: "Usuário dedicado para o aplicativo acessar o banco de dados, que será criado automaticamente (permissões vinculadas ao banco de dados correspondente)"
        ru: "Выделенный пользователь для доступа приложения к базе данных, будет создан автоматически (права привязаны к соответствующей базе данных)"
        ko: "애플리케이션이 데이터베이스에 접근하기 위한 전용 사용자로, 자동으로 생성됩니다 (해당 데이터베이스에 권한 바인딩)"
        tr: "Uygulamanın veritabanına erişmesi için özel kullanıcı, otomatik olarak oluşturulur (ilgili veritabanına izin bağlama)"
      required: true
      envKey: "PANEL_DB_USER"
      default: "langflow"
      edit: false
      random: true
      rule: "paramCommon"
    - type: "password"
      labelZh: "数据库密码"
      labelEn: "Database Password"
      label:
        zh: "数据库密码"
        zh-hant: "資料庫密碼"
        en: "Database Password"
        ja: "データベースパスワード"
        ms: "Kata Laluan Pangkalan Data"
        pt-br: "Senha do Banco de Dados"
        ru: "Пароль базы данных"
        ko: "데이터베이스 비밀번호"
        tr: "Veritabanı Parolası"
      description:
        zh: "数据库用户的访问密码，自动生成高强度随机密码（无需手动输入）"
        zh-hant: "資料庫使用者的存取密碼，自動生成高強度隨機密碼（無需手動輸入）"
        en: "Access password for the database user, automatically generate a high-strength random password (no manual input required)"
        ja: "データベースユーザーのアクセスパスワードで、高強度のランダムパスワードが自動生成されます（手動入力不要）"
        ms: "Kata laluan akses untuk pengguna pangkalan data, automatik menjana kata laluan rawak berketahanan tinggi (tidak perlu memasukkan secara manual)"
        pt-br: "Senha de acesso para o usuário do banco de dados, gera automaticamente uma senha aleatória de alta segurança (não é necessário digitar manualmente)"
        ru: "Пароль доступа для пользователя базы данных, автоматически генерируется сложный случайный пароль (ручной ввод не требуется)"
        ko: "데이터베이스 사용자의 접근 비밀번호로, 고강도 랜덤 비밀번호가 자동 생성됩니다（수동 입력 불필요）"
        tr: "Veritabanı kullanıcısı için erişim parolası, yüksek güvenlikli rastgele parola otomatik olarak oluşturulur (elle giriş gerekmez)"
      required: true
      envKey: "PANEL_DB_USER_PASSWORD"
      default: "langflow"
      edit: false
      random: true
